CCallbackWrapper.h File Reference
`#include <polybori/pbori_defs.h>`
`#include "CMemberFunctionTraits.h"`

Go to the source code of this file.

## Classes

class | polybori::CCallbackFacade< Type, ResultType, ArgType >
| Variant for constant non-void member functions. More...
class | polybori::CCallbackFacade< Type, void, ArgType >
| Specialized variant for constant void member functions. More...
class | polybori::CCallbackWrapper< MemberFuncPtr >
| This template class defines a functional, which wraps operator .*, which is the callback of a dynamic member function wrt. a given object. More...

## Namespaces

| polybori

## Constant Groups

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2010-08-30

This file define a functional, which wraps the callback operator .*, by managing member function pointers and the corresponding object.

Copyright:
  (c) 2010 by The PolyBoRi Team